- [HTTP request](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/patch#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/patch#body.request_body)
- [Response body](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/patch#body.aspect)
- [Examples](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/patch#examples)
- [Try it!](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/patch#try-it)

Updates a single identifiable data point. If a data point with the specified `name` is not found, the request will fail.

### HTTP request

`PATCH https://health.googleapis.com/v4/{dataPoint.name=users/*/dataTypes/*/dataPoints/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/health/reference/rest/v4/errors)

### Path parameters

| Parameters ||
|---|---|
| `dataPoint.name` | `string` Identifier. Data point name, only supported for the subset of identifiable data types. For the majority of the data types, individual data points do not need to be identified and this field would be empty. Format: `users/{user}/dataTypes/{dataType}/dataPoints/{dataPoint}` Example: `users/abcd1234/dataTypes/sleep/dataPoints/a1b2c3d4-e5f6-7890-1234-567890abcdef` The `{user}` ID is a system-generated identifier, as described in `https://developers.google.com/health/reference/rest/v4/users/getIdentity#body.Identity.FIELDS.health_user_id`. The `{dataType}` ID corresponds to the kebab-case version of the field names in the `https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints#DataPoint` union field, e.g. `heart-rate` for the `heartRate` field. The `{dataPoint}` ID can be client-provided or system-generated. If client-provided, it must be a string of 4-63 characters, containing only lowercase letters, numbers, and hyphens. It takes the form `users/{user}/dataTypes/{datatype}/dataPoints/{datapoint}`. |

### Request body

The request body contains an instance of `https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints#DataPoint`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/health/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/googlehealth.activity_and_fitness.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.health_metrics_and_measurements.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.nutrition.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.sleep.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.reproductive_health.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.logged_symptoms.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.mindfulness.writeonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).